be.fgov.ehealth.rn.baselegaldata.v1

## Class GivenNameType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.GivenNameType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class GivenNameType
      extends Object
      implements Serializable

  Java class for GivenNameType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GivenNameType">
         <simpleContent>
           <extension base="<urn:be:fgov:ehealth:rn:baselegaldata:v1>GivenNameValueType">
             <attribute name="Sequence">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedShort">
                 </restriction>
               </simpleType>
             </attribute>
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GivenNameType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getSequence()` Gets the value of the sequence property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setSequence(Integer value)` Sets the value of the sequence property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GivenNameType

          public GivenNameType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSequence

          public Integer getSequence()

      Gets the value of the sequence property.
      Returns:
        possible object is `Integer`

    - #### setSequence

          public void setSequence(Integer value)

      Sets the value of the sequence property.
      Parameters:
        `value` - allowed object is `Integer`

Connector Packaging PERSDIETICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.